
QGIS Application - Bug report #5233

Segmentation fault (on linux) with INTERLIS data

2012-03-26 03:37 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 14969

Description

Opening this

http://www.interlis.ch/interlis2/docs23/test23_20080410.zip

causes seg fault on Linux (qgis 1.7.4 and master) but works fine on Windows.

Segmentation fault

gio@sibirica:~$ qgis

Warning: loading of qgis translation failed [/usr/share/qgis/i18n//qgis_en_US]

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QHttp: empty path requested is invalid -- using '/'

Segmentation fault

History

#1 - 2012-03-26 03:44 AM - Giovanni Manghi

PS

I'm using Ubuntu 11.10 64 bit. There have been reports that on other linux platforms seems to work fine.

#2 - 2012-03-26 04:04 AM - Salvatore Larosa

Giovanni Manghi wrote:

PS

I'm using Ubuntu 11.10 64 bit. There have been reports that on other linux platforms seems to work fine.

I'm using Debian/wheezy 64 bit and it works fine in master version!

#3 - 2012-03-26 04:07 AM - Giovanni Manghi

I'm using Debian/wheezy 64 bit and it works fine in master version!
what version of gdal/ogr?

#4 - 2012-03-26 04:14 AM - Salvatore Larosa

Giovanni Manghi wrote:

I'm using Debian/wheezy 64 bit and it works fine in master version!

what version of gdal/ogr?

QGIS version 1.9.90-Alpha

QGIS code revision 7209118

Compiled against Qt 4.7.4

Running against Qt 4.7.4

GDAL/OGR Version 1.9.0

GEOS Version 3.3.2

PostgreSQL Client Version 9.1.3

SpatiaLite Version 2.4.0

QWT Version 5.2.2

#5 - 2012-03-26 05:06 AM - Giovanni Manghi

- Priority changed from 6 to Normal

- Status changed from Open to Feedback

Salvatore Larosa wrote:

Giovanni Manghi wrote:

I'm using Debian/wheezy 64 bit and it works fine in master version!

what version of gdal/ogr?

[...]

On Ubuntu if I install master with the nightly builds repo it uses a old (1.7.4) version of GDAL and I have the issue. If I use qgis 1.7.4 from the Ubuntugis

repo it uses gdal 1.8 and the interlis format is not even available. I would have to compile myself both gdal and qgis. Now I don't have time. I'll tag this as

"feedback" and lower the priority, as it seems a gdal version problem after all.

#6 - 2012-04-15 10:00 AM - Giovanni Manghi

- Target version changed from 35 to Version 1.8.0

#7 - 2012-05-30 05:14 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 1.7.4 to master
I still get the crash even with gdal 1.9

Segmentation fault (core dumped)

works on Windows.

QGIS version

1.8.0-Lisboa

QGIS code revision

exported

Compiled against Qt

4.8.1

Running against Qt

4.8.1

Compiled against GDAL/OGR

1.9.0

Running against GDAL/OGR

1.9.0

GEOS Version

3.2.2

PostgreSQL Client Version

9.1.3

SpatiaLite Version

3.0.0-beta

QWT Version

5.2.2

#8 - 2012-09-04 11:53 AM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2012-10-05 11:12 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Seems to work now. Maybe it was a local issue.

2024-03-13 3/3


